# LTX Video-0.9.7 13B Distilled · Extend API

> 使用 0.9.7 蒸馏 13B 模型和文本提示词延长现有视频

继续生成 `video` 中提供的片段，并由必需的 `prompt` 引导。输出为 480p 或 720p，`aspect_ratio` 可为 auto、9:16、1:1 或 16:9，`num_frames` 为 9 到 1441。`constant_rate_factor`（0 到 51）控制输入压缩，`loras` 接受自定义权重。

- Model id: `ltx-video-13b-distilled/extend`
- Made by: Lightricks
- Category: Video to Video
- Output: video
- Price: $0.04 / video (cheapest run $0.04 (40 API credits))
- Run: `POST https://api.doitong.ru/v1/run/ltx-video-13b-distilled/extend`
- Quote: `POST https://api.doitong.ru/v1/quote/ltx-video-13b-distilled/extend`
- Docs page: https://doitong.com/zh/developers/models/ltx-video-13b-distilled/extend

## Pricing

Price: **$0.04 / video**. Billed once per generated video.

The full example input below costs $0.04 = 40 API credits (1 video × 40 API credits).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/ltx-video-13b-distilled/extend` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `prompt` |  | string | yes |  |  | 引导生成的文本指令。 |
| `negative_prompt` |  | string | no | `worst quality, inconsistent motion, blurry, jittery, distorted` |  | 用于生成的负面文本指令。 |
| `loras` |  | array of object {path, weight_name, scale} | no | `[]` |  | 生成期间应用的 LoRA 权重。 |
| `loras[].path` |  | string | yes |  |  | LoRA 权重的位置，以 URL 或路径提供。 |
| `loras[].weight_name` |  | string \| null | no |  |  | 用于在 HuggingFace 仓库的多个权重中进行选择的 LoRA 权重名称；仅包含多个权重的仓库需要此项。除非 `path` 标识 HuggingFace 仓库，否则此设置无效。 |
| `loras[].scale` |  | number | no | `1` | 0 – 4 | 加载 LoRA 权重时对其进行缩放的乘数。 |
| `resolution` |  | enum (string) | no | `720p` | `480p`, `720p` | 输出视频的分辨率。 |
| `aspect_ratio` |  | enum (string) | no | `auto` | `9:16`, `1:1`, `16:9`, `auto` | 视频宽高比。 |
| `seed` |  | integer \| null | no |  |  | 控制生成随机性的种子。 |
| `num_frames` |  | integer | no | `121` | 9 – 1,441 | 视频的总帧数。 |
| `first_pass_num_inference_steps` |  | integer | no | `8` | 2 – 12 | 第一遍的推理步数。 |
| `second_pass_num_inference_steps` |  | integer | no | `8` | 2 – 12 | 第二遍的推理步数。 |
| `second_pass_skip_initial_steps` |  | integer | no | `5` | 1 – 11 | 第二遍中要省略的初始推理步数，使该遍更偏向细节处理而非大范围变化。 |
| `frame_rate` |  | integer | no | `24` | 1 – 60 | 视频的帧率。 |
| `expand_prompt` |  | boolean | no | `false` |  | 通过语言模型扩展提示词。 |
| `reverse_video` |  | boolean | no | `false` |  | 反转视频的播放顺序。 |
| `enable_safety_checker` |  | boolean | no | `true` |  | 安全检查开关；关闭设置仅对已授权账户生效。所有未获得该授权的请求都会进行安全检查。 |
| `enable_detail_pass` |  | boolean | no | `false` |  | 可选的第二次细化阶段，启用后可改善视频细节。 |
| `temporal_adain_factor` |  | number | no | `0.5` | 0 – 1 | 自适应实例归一化（AdaIN）强度：较高值侧重色彩一致性，较低值允许更大的色彩变化。它作用于除第一段外的生成片段，通过在整个视频中归一化色彩分布，帮助抑制逐渐增加的饱和度或对比度。 |
| `tone_map_compression_ratio` |  | number | no | `0` | 0 – 1 | 色调映射压缩级别，范围从 0.0 的无压缩到 1.0 的最大压缩。以此方式压缩视频动态范围可改善视觉质量。 |
| `constant_rate_factor` |  | integer | no | `29` | 0 – 51 | 用于输入压缩的恒定速率因子（CRF），可能通过使所提供媒体更接近模型训练数据来改善运动质量。 |
| `video` |  | object {video_url, start_frame_num, strength, limit_num_frames, max_num_frames, resample_fps, target_fps, reverse_video} | yes |  |  | 用于延长的源视频。 |
| `video.video_url` |  | string (video URL) | yes |  |  | 通过 URL 提供的条件视频。 |
| `video.start_frame_num` |  | integer | no | `0` | 0 – 1,440 | 视频中的条件起始位置，以可被 8 整除的帧号指定。 |
| `video.strength` |  | number | no | `1` | 0 – 1 | 条件强度：0.0 禁用条件，1.0 完全应用条件。 |
| `video.limit_num_frames` |  | boolean | no | `false` |  | 视频帧数限制开关：启用后，`max_num_frames` 会成为从视频中提取的帧数上限。 |
| `video.max_num_frames` |  | integer | no | `1441` | 1 – 1,441 | 视频帧数使用上限，None 表示选择整个视频而不限制帧数。 |
| `video.resample_fps` |  | boolean | no | `false` |  | 视频帧率转换开关：启用后，会按 `target_fps` 指定的帧率重新采样视频。 |
| `video.target_fps` |  | integer | no | `24` | 1 – 60 | 重新采样帧率（FPS），仅在启用 `resample_fps` 时适用。 |
| `video.reverse_video` |  | boolean | no | `false` |  | 反转视频顺序，适用于需要条件沿反向帧序列跟随的任务。 |

## Example input

Required parameters only:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
  "video": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }
}
```

A fuller example:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
  "video": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-video-13b-distilled/extend?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": {
      "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx-video-13b-distilled/extend?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": {
      "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    }
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": {
        "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    },
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx-video-13b-distilled/extend", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "ltx-video-13b-distilled/extend",
      "input": {
        "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
        "video": {
          "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
        }
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-video-13b-distilled/extend",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": {
      "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    }
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "prompt": "Woman walking on a street in Tokyo",
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size} | 生成得到的视频文件。 |
| `prompt` | string | 用于生成输出的提示词。 |
| `seed` | integer | 生成期间应用的种子值。 |

## Related models

- [LTX Video-0.9.7 13B Distilled](https://doitong.com/developers/models/ltx-video-13b-distilled.md) (`ltx-video-13b-distilled`): from $0.04 / second of output video
- [LTX Video-0.9.7 13B Distilled · Image to Video](https://doitong.com/developers/models/ltx-video-13b-distilled/image-to-video.md) (`ltx-video-13b-distilled/image-to-video`): from $0.04 / second of output video
- [LTX Video-0.9.7 13B Distilled · Multiconditioning](https://doitong.com/developers/models/ltx-video-13b-distilled/multiconditioning.md) (`ltx-video-13b-distilled/multiconditioning`): from $0.04 / second of output video
- [Ltx 2.3](https://doitong.com/developers/models/ltx-2.3/reframe.md) (`ltx-2.3/reframe`): from $0.10 / second of input video
- [LTX 2.3 22B](https://doitong.com/developers/models/ltx-2.3-22b/reference-video-to-video/lora.md) (`ltx-2.3-22b/reference-video-to-video/lora`): $0.00181 / megapixel of output video
- [Ltx 2.3 Quality · Clean Plate](https://doitong.com/developers/models/ltx-2.3-quality/clean-plate.md) (`ltx-2.3-quality/clean-plate`): $0.00241 / megapixel of output video
- [Ltx 2.3 Quality · Colorization](https://doitong.com/developers/models/ltx-2.3-quality/colorization.md) (`ltx-2.3-quality/colorization`): $0.00241 / megapixel of output video
- [Ltx 2.3 Quality · Cross Eyed](https://doitong.com/developers/models/ltx-2.3-quality/cross-eyed.md) (`ltx-2.3-quality/cross-eyed`): $0.00241 / megapixel of output video

## Links

- HTML page: https://doitong.com/developers/models/ltx-video-13b-distilled/extend
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=ltx-video-13b-distilled/extend
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/ltx-video-13b-distilled/extend
